Skip to main content
GET
Search City

Authorizations

X-API-Private-Key
string
header
required

Private API key for user-level authentication.

X-API-Public-Key
string
header
required

Public API key for user-level authentication.

Query Parameters

city_id
string

ID of the City

city_name
string

Name of the City

subdivision_id
string

ID of the Subdivision which the City is in

city_timezone
string

Timezone of the City

city_is_populous
boolean

Whether the City one of the ten largest cities in its timezone with atleast 300,000 population

city_alias
string

Indentifier of the city when used in backconnect proxy

city_example_postcode
string

Example postcode of the City

city_latitude
string

Latitude of the City

city_longitude
string

Longitude of the City

city_node_count
integer

Current number of online nodes in the City

per_page
integer

Number of items per page for pagination

page
integer

Page number for pagination

sort_by
string

Key for sorting or random.

Response

200 - application/json

Successful City search

City search was successful.

data
object[]

Array of City items matching the search criteria up to the limit of per_page paramater.

item_count
integer

Total number of City items returned in the data field.

message
string

Status message for the search.

page
integer

Current page number of the search results returned.

per_page
integer

Number of City items returned per page.

total_count
integer

Total of City items that match the search filter.